Summary:	LaTeX to RTF converter
Name:		latex2rtf
Version:	2.3.18a
Release:	%mkrel 1
License:	GPLv2+
Group:		Publishing
Url:		https://latex2rtf.sourceforge.net/
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}-unix/%{version}/%{name}-%{version}.tar.gz
Patch0:		latex2rtf-2.3.18-Makefile.patch
BuildRequires:	texinfo-tex
BuildRequires:	info-install

Requires:	imagemagick
Requires:	texlive

%description
LaTeX2rtf is a translator program which is intended to translate a
LaTeX document (precisely: the text and a limited subset of LaTeX
tags) into the RTF format which can be imported by several
text processors (including Microsoft Word for Windows and Word for
Macintosh).

%prep
%setup -q -n %{name}-2.3.18
%autopatch -p1

# Fix permissions for normal files.
find . -type f -exec chmod 644 {} \;
chmod 755 test/bracecheck
chmod 755 scripts/latex2png

%build
%set_build_flags
%make_build
%make_build doc

%install
%make_install install-info

%check
export RTFPATH=../cfg/
%__make check

%files
%doc ChangeLog Copyright README
%doc doc/latex2rtf.{html,pdf,txt}
%{_bindir}/%{name}
%{_bindir}/latex2png
%{_sysconfdir}/%{name}
%{_infodir}/*
%{_mandir}/man1/*


%changelog
* Sun Jan 08 2023 daviddavid <daviddavid> 2.3.18a-1.mga9
+ Revision: 1931591
- new version: 2.3.18a

* Thu Jul 07 2022 papoteur <papoteur> 2.3.18-3.mga9
+ Revision: 1867948
- fix BR: info-install

* Thu Mar 17 2022 umeabot <umeabot> 2.3.18-2.mga9
+ Revision: 1797408
- Mageia 9 Mass Rebuild

* Mon Jun 01 2020 daviddavid <daviddavid> 2.3.18-1.mga8
+ Revision: 1589386
- new version: 2.3.18
- rediff Makefile patch
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 11 2020 umeabot <umeabot> 2.3.17-3.mga8
+ Revision: 1488979
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Mon Sep 03 2018 tv <tv> 2.3.17-2.mga7
+ Revision: 1256491
- remove unused deps on info-install

* Thu Mar 29 2018 daviddavid <daviddavid> 2.3.17-1.mga7
+ Revision: 1213266
- new version: 2.3.17

* Fri Sep 15 2017 cjw <cjw> 2.3.16-2.mga7
+ Revision: 1153921
- patch3: fix build with perl 5.26

* Wed Jul 19 2017 daviddavid <daviddavid> 2.3.16-1.mga7
+ Revision: 1125329
- new version: 2.3.16

* Sat Jan 21 2017 daviddavid <daviddavid> 2.3.12-1.mga6
+ Revision: 1082771
- new version: 2.3.12
- remove merged upstream CVE-2015-8106 patch
- add patch to fix install paths

* Wed Feb 10 2016 wally <wally> 2.3.8-6.mga6
+ Revision: 953195
- add patch to fix cfg dir (mga#17709)

* Tue Nov 17 2015 luigiwalser <luigiwalser> 2.3.8-5.mga6
+ Revision: 903820
- add patch to fix CVE-2015-8106
- build with our optflags

* Sun Oct 25 2015 daviddavid <daviddavid> 2.3.8-4.mga6
+ Revision: 895211
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 2.3.8-3.mga5
+ Revision: 749008
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 malo <malo> 2.3.8-1.mga5
+ Revision: 650868
- update to 2.3.8

* Sat Oct 19 2013 umeabot <umeabot> 2.3.3-2.mga4
+ Revision: 526003
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 malo <malo> 2.3.3-1.mga4
+ Revision: 435439
- update to 2.3.3

* Sat Jan 12 2013 umeabot <umeabot> 2.1.0-3.mga3
+ Revision: 356655
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 ahmad <ahmad> 2.1.0-2.mga2
+ Revision: 107913
- Require texlive instead of textex-latex
- imported package latex2rtf


* Fri May 28 2010 Lev Givon <lev@mandriva.org> 2.1.0-1mdv2011.0
+ Revision: 546541
- Update to 2.1.0.

* Fri Feb 19 2010 Lev Givon <lev@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 508335
- import latex2rtf

